# Get a variant

URL: /en/docs/api/v1/variants/id/get
Last Updated: 2026-07-30T21:15:30.466Z

## Description
No description available.

## Available Actions
- Execute GET request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### GET /api/v1/variants/{id}

**Get a variant**

Retrieve a specific variant by ID, including its options and translations.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes |  |

**Responses:**

- `200` - Variant
  - `variant` (Variant (object))
    - `id` (string)
    - `title` (string)
    - `slug` (string)
    - `enabled` (boolean)
    - `order` (integer)
    - `translations` (array of VariantTranslation (object))
      - `id` (string)
      - `languages_code` (enum: en-US | de-DE | fr-FR)
      - `title` (string)
    - `options` (array of VariantOption (object))
      - `id` (string)
      - `title` (string)
      - `slug` (string)
      - `enabled` (boolean)
      - `order` (integer)
      - `translations` (array of VariantTranslation (object))
        - `id` (string)
        - `languages_code` (enum: en-US | de-DE | fr-FR)
        - `title` (string)
- `401` - Unauthorized
- `403` - Forbidden - you do not have access to this variant
- `404` - Variant not found
- `500` - Internal server error

**Code samples:**

cURL:

```bash
curl -X GET "https://app.orbiqhq.com/api/v1/variants/var-123" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

```

